Bug 557053 - mdadm crond script shouldn't run if software raid is not supported by a running kernel
mdadm crond script shouldn't run if software raid is not supported by a runni...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 04:35 EST by Artem S. Tashkinov
Modified: 2010-04-27 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: initscripts-9.09-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-19 17:13:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to eliminate meaningless error messages (411 bytes, application/octet-stream)
2010-01-20 04:35 EST, Artem S. Tashkinov
no flags Details

  None (edit)
Description Artem S. Tashkinov 2010-01-20 04:35:20 EST
Created attachment 385633 [details]
A patch to eliminate meaningless error messages

Description of problem:

from mail:

Date: Wed, 20 Jan 2010 14:09:59 +0500

/etc/cron.weekly/99-raid-check:

grep: /proc/mdstat: No such file or directory


Version-Release number of selected component (if applicable): mdadm-3.0.3-2.fc12.i686


How reproducible: always


Steps to Reproduce:
1. Compile a kernel without software raid
2. Boot into it
3.
  
Actual results: meaningless error messages


Expected results: no error messages


Additional info: patch attached
Comment 1 Doug Ledford 2010-02-19 14:40:38 EST
Will be fixed in the next release.
Comment 2 Fedora Update System 2010-04-09 16:12:57 EDT
mdadm-3.1.2-9.fc13,initscripts-9.09-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mdadm-3.1.2-9.fc13,initscripts-9.09-1.fc13
Comment 3 Fedora Update System 2010-04-27 23:08:28 EDT
initscripts-9.09-1.fc13, mdadm-3.1.2-10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.